;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50proofgeneral.el
;; for the Debian proofgeneral package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; The proofgeneral package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.

;; Actually, Proof General is only supported for emacs23, therefore it
;; is only byte-compiled for emacs23 and also only loaded for emacs23.

(if (or (eq debian-emacs-flavor 'emacs23) (eq debian-emacs-flavor 'emacs24))
  (let ((proof-site-file
	 (concat "/usr/share/"
		 (symbol-name debian-emacs-flavor)
		 "/site-lisp/proofgeneral/generic/proof-site.elc")))


    ;; If proof-site-file does not exist, the proofgeneral package must have
    ;; removed but not purged, and we should skip the setup.
    (if (file-regular-p proof-site-file)
	(load proof-site-file))))
